
local function HookFormatNumber()
if Skada == nil then return end
    Skada.FormatNumber = function(self, number)
        if number then 
            if number > 100000000 then
                return ("%02.2f亿"):format(number / 100000000)
			elseif number > 100000 then
				return ("%.1f万"):format(number / 10000)
			elseif number > 10000 then
				return ("%.2f万"):format(number / 10000)
			else
				return ("%d"):format(number)
			end
        end
    end
end

ADDUIEVENT("PLAYER_ENTERING_WORLD", function()
    HookFormatNumber()
end)
